<?php

namespace Modules\Offer\Interfaces;

use Modules\Offer\Models\Offer;

interface OfferRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Offer;
    public function update(array $request, Offer $offer): Offer;
    public function destroy(Offer $offer): void;
    public function destroyAll(array $ids): void;
    public function restore(Offer $offer): void;
    public function restoreAll(array $ids): void;
}
